[Midnightbsd-cvs] mports [24066] trunk/graphics: add s2tc and remove some old dri ports
laffer1 at midnightbsd.org
laffer1 at midnightbsd.org
Sun Sep 2 17:14:29 EDT 2018
Revision: 24066
http://svnweb.midnightbsd.org/mports/?rev=24066
Author: laffer1
Date: 2018-09-02 17:14:28 -0400 (Sun, 02 Sep 2018)
Log Message:
-----------
add s2tc and remove some old dri ports
Modified Paths:
--------------
trunk/graphics/Makefile
Added Paths:
-----------
trunk/graphics/s2tc/
trunk/graphics/s2tc/Makefile
trunk/graphics/s2tc/distinfo
trunk/graphics/s2tc/files/
trunk/graphics/s2tc/files/patch-tests_test.sh
trunk/graphics/s2tc/pkg-descr
trunk/graphics/s2tc/pkg-plist
Removed Paths:
-------------
trunk/graphics/dri/
trunk/graphics/libGL/
Modified: trunk/graphics/Makefile
===================================================================
--- trunk/graphics/Makefile 2018-09-02 21:13:10 UTC (rev 24065)
+++ trunk/graphics/Makefile 2018-09-02 21:14:28 UTC (rev 24066)
@@ -177,6 +177,7 @@
SUBDIR += qt5-opengl
SUBDIR += qt5-pixeltool
SUBDIR += qt5-svg
+SUBDIR += s2tc
SUBDIR += sane-backends
SUBDIR += scr2png
SUBDIR += sdl_gfx
Added: trunk/graphics/s2tc/Makefile
===================================================================
--- trunk/graphics/s2tc/Makefile (rev 0)
+++ trunk/graphics/s2tc/Makefile 2018-09-02 21:14:28 UTC (rev 24066)
@@ -0,0 +1,32 @@
+# $MidnightBSD$
+
+PORTNAME= s2tc
+PORTVERSION= 1.0+20151228
+CATEGORIES= graphics
+
+MAINTAINER= ports at MidnightBSD.org
+COMMENT= Subset of a well-known texture compression scheme
+
+LICENSE= mit
+LICENSE_FILE= ${WRKSRC}/COPYING
+
+BUILD_DEPENDS= mesa-libs>=0:graphics/mesa-libs
+TEST_DEPENDS= convert:graphics/ImageMagick \
+ nvcompress:graphics/nvidia-texture-tools \
+ wget:ftp/wget
+
+USES= autoreconf libtool pathfix
+USE_GITHUB= yes
+USE_LDCONFIG= yes
+
+GH_ACCOUNT= divVerent
+GH_TAGNAME= f6ec862
+GNU_CONFIGURE= yes
+INSTALL_TARGET= install-strip
+
+CPPFLAGS+= -I${LOCALBASE}/include
+
+do-test:
+ (cd ${WRKSRC}/tests; ${SETENV} use_external=false use_nvcompress=true ${SH} test.sh)
+
+.include <bsd.port.mk>
Property changes on: trunk/graphics/s2tc/Makefile
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/graphics/s2tc/distinfo
===================================================================
--- trunk/graphics/s2tc/distinfo (rev 0)
+++ trunk/graphics/s2tc/distinfo 2018-09-02 21:14:28 UTC (rev 24066)
@@ -0,0 +1,3 @@
+TIMESTAMP = 1535918166
+SHA256 (s2tc-1.0+20151228_GH0.tar.gz) = 5785b81e2254e08f810ddb26acc5c6fd39631f94e9993fc0ee5807d802a2d4cb
+SIZE (s2tc-1.0+20151228_GH0.tar.gz) = 1398883
Property changes on: trunk/graphics/s2tc/distinfo
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/graphics/s2tc/files/patch-tests_test.sh
===================================================================
--- trunk/graphics/s2tc/files/patch-tests_test.sh (rev 0)
+++ trunk/graphics/s2tc/files/patch-tests_test.sh 2018-09-02 21:14:28 UTC (rev 24066)
@@ -0,0 +1,66 @@
+--- tests/test.sh.orig 2015-12-27 22:40:35 UTC
++++ tests/test.sh
+@@ -5,14 +5,6 @@ set -e
+ exec 4>&1
+ exec 1>&2
+
+-cd ..
+-make clean || true
+-sh autogen.sh
+-./configure --prefix="`pwd`/tests" --enable-shared --disable-static "$@"
+-make
+-make install
+-cd tests
+-
+ rm -rf html
+ rm -f *.dds
+ mkdir html
+@@ -143,10 +135,9 @@ html_end()
+
+ timing()
+ {
+- t0=`date +%s%N`
+- "$@"
+- t1=`date +%s%N`
+- deltatime_raw=`echo "$t1 - $t0" | bc`
++ /usr/bin/time -p -o timing.log "$@"
++ t=`cat timing.log | head -n 1 | cut -f 2 -d ' '`
++ deltatime_raw=`echo "$t * 1000000000" | bc`
+ deltatime=`echo "scale=3; $deltatime_raw / 1000000000" | bc -l`
+ deltatime=" ($deltatime seconds)"
+ }
+@@ -197,7 +188,7 @@ xon textures/facility114x/misc/lift02.tg
+ # sunset: GPLv2+
+ xon env/distant_sunset/distant_sunset_rt.jpg sunset.tga
+
+-export LD_LIBRARY_PATH="$PWD/lib"
++export LD_LIBRARY_PATH="$PWD/../.libs"
+ for i in dxtfail floor_tread01_norm fract001 base_concrete1a disabled lift02 sunset noise noise_solid supernova; do
+ html_rowstart "$i"
+
+@@ -228,21 +219,21 @@ for i in dxtfail floor_tread01_norm frac
+ if $use_nvcompress; then
+ timing nvcompress $nvopts "$i".tga "$i"-nvcompress.dds
+ html "$i"-nvcompress.dds
+- timing bin/s2tc_from_s3tc -i "$i"-nvcompress.dds -o "$i"-nvcompress-s2tc.dds
++ timing ../s2tc_from_s3tc -i "$i"-nvcompress.dds -o "$i"-nvcompress-s2tc.dds
+ html "$i"-nvcompress-s2tc.dds
+ fi
+
+ S2TC_DITHER_MODE=FLOYDSTEINBERG S2TC_COLORDIST_MODE=$goodmetric S2TC_RANDOM_COLORS=32 S2TC_REFINE_COLORS=LOOP \
+- t "$i".tga "$i"-rand32-mrgb-l.dds bin/s2tc_compress -t $fourcc
++ t "$i".tga "$i"-rand32-mrgb-l.dds ../s2tc_compress -t $fourcc
+ if $use_libtxc_dxtn; then
+ t "$i".tga "$i"-libtxc_dxtn.dds bin/s2tc_compress -t $fourcc -l /usr/lib/libtxc_dxtn.so
+ timing bin/s2tc_from_s3tc -i "$i"-libtxc_dxtn.dds -o "$i"-libtxc_dxtn-s2tc.dds
+ html "$i"-libtxc_dxtn-s2tc.dds
+ fi
+ S2TC_DITHER_MODE=SIMPLE S2TC_COLORDIST_MODE=WAVG S2TC_RANDOM_COLORS=-1 S2TC_REFINE_COLORS=ALWAYS \
+- t "$i".tga "$i"-faster-wavg-r.dds bin/s2tc_compress -t $fourcc
++ t "$i".tga "$i"-faster-wavg-r.dds ../s2tc_compress -t $fourcc
+ S2TC_DITHER_MODE=SIMPLE S2TC_COLORDIST_MODE=WAVG S2TC_RANDOM_COLORS=-1 S2TC_REFINE_COLORS=LOOP \
+- t "$i".tga "$i"-faster-wavg-l.dds bin/s2tc_compress -t $fourcc
++ t "$i".tga "$i"-faster-wavg-l.dds ../s2tc_compress -t $fourcc
+
+ html_rowend
+ done
Property changes on: trunk/graphics/s2tc/files/patch-tests_test.sh
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/graphics/s2tc/pkg-descr
===================================================================
--- trunk/graphics/s2tc/pkg-descr (rev 0)
+++ trunk/graphics/s2tc/pkg-descr 2018-09-02 21:14:28 UTC (rev 24066)
@@ -0,0 +1,14 @@
+S2TC's format specification is very easy to implement, so it is not hard to make
+a working compressor or decompressor for it. It is based on Color Cell
+Compression[1] from 1986, and decoding is done entirely using the methods from
+there. Encoding is done using a search and refinement method that is derived
+from the methods described in that paper.
+
+This also makes this format a great platform for learning about texture
+compression and how to tune a compressor for best quality.
+
+S2TC is especially well suited for runtime (on-load) compression of textures, as
+it is - in low quality settings - way faster than any other texture compressors
+out there.
+
+WWW: https://github.com/divVerent/s2tc/wiki
Property changes on: trunk/graphics/s2tc/pkg-descr
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/graphics/s2tc/pkg-plist
===================================================================
--- trunk/graphics/s2tc/pkg-plist (rev 0)
+++ trunk/graphics/s2tc/pkg-plist 2018-09-02 21:14:28 UTC (rev 24066)
@@ -0,0 +1,10 @@
+bin/s2tc_compress
+bin/s2tc_decompress
+bin/s2tc_from_s3tc
+include/txc_dxtn.h
+lib/libtxc_dxtn.a
+lib/libtxc_dxtn.so
+libdata/pkgconfig/txc_dxtn.pc
+man/man1/s2tc_compress.1.gz
+man/man1/s2tc_decompress.1.gz
+man/man1/s2tc_from_s3tc.1.gz
Property changes on: trunk/graphics/s2tc/pkg-plist
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
More information about the Midnightbsd-cvs
mailing list